> ## Documentation Index
> Fetch the complete documentation index at: https://metoro.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync Alerts From Kubernetes Sources

> Trigger immediate synchronization of alerts from Kubernetes sources, including ConfigMaps and MetoroAlert CRDs. By default, alerts are synced once every hour. This endpoint allows triggering the sync process manually without waiting for the scheduled sync.



## OpenAPI

````yaml /api-reference/openapi.yaml get /alerts/sync
openapi: 3.0.0
info:
  description: API for managing Metoro environments, alerts, and dashboards.
  license:
    name: Proprietary
    url: https://metoro.io/terms
  title: Metoro API
  version: 1.0.0
servers:
  - description: Production API server
    url: https://us-east.metoro.io/api/v1
  - description: Demo API server
    url: https://demo.us-east.metoro.io/api/v1
security: []
paths:
  /alerts/sync:
    get:
      tags:
        - Alerts
      summary: Sync Alerts From Kubernetes Sources
      description: >-
        Trigger immediate synchronization of alerts from Kubernetes sources,
        including ConfigMaps and MetoroAlert CRDs. By default, alerts are synced
        once every hour. This endpoint allows triggering the sync process
        manually without waiting for the scheduled sync.
      operationId: syncAlertsFromConfigMaps
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncAlertsResponse'
          description: Alert synchronization initiated successfully
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Internal server error
      security:
        - bearerAuth: []
components:
  schemas:
    SyncAlertsResponse:
      example:
        success: true
        message: Alert synchronization initiated successfully
      properties:
        success:
          description: Whether the sync operation was initiated successfully
          type: boolean
        message:
          description: Information about the sync operation
          type: string
      required:
        - success
      type: object
    Error:
      example:
        error: 'Invalid alert configuration: missing required field'
      properties:
        error:
          description: Error message describing what went wrong
          type: string
      required:
        - error
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````